# Uses of Class
net.sourceforge.jiu.apps.EditorState

Packages that use EditorState
Package
Description
net.sourceforge.jiu.apps
net.sourceforge.jiu.gui.awt

## Uses of EditorState in net.sourceforge.jiu.apps

Fields in net.sourceforge.jiu.apps declared as EditorState
Modifier and Type
Field
Description
`private EditorState`
OperationProcessor.`state`
Methods in net.sourceforge.jiu.apps that return EditorState
Modifier and Type
Method
Description
`EditorState`
OperationProcessor.`getEditorState()`
Returns the EditorState object given to this object's constructor.
Constructors in net.sourceforge.jiu.apps with parameters of type EditorState
Modifier
Constructor
Description
``
`OperationProcessor(EditorState editorState)`
Create an object of this class, storing the state argument for later use.

## Uses of EditorState in net.sourceforge.jiu.gui.awt

Fields in net.sourceforge.jiu.gui.awt declared as EditorState
Modifier and Type
Field
Description
`private EditorState`
JiuAwtFrame.`editor`
Constructors in net.sourceforge.jiu.gui.awt with parameters of type EditorState
Modifier
Constructor
Description
``
`AwtOperationProcessor(EditorState editorState, JiuAwtFrame awtFrame)`
``
`JiuAwtFrame(EditorState editorState)`
Create an object of this class, using the argument editor state.